Bug 124294 - FORMATTING Strikethrough not cleared, when formatting cycle starts from partial application (edit mode works)
Summary: FORMATTING Strikethrough not cleared, when formatting cycle starts from parti...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Direct-Formatting-Parts
  Show dependency treegraph
 
Reported: 2019-03-23 14:15 UTC by Doug Arndt
Modified: 2021-04-21 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Arndt 2019-03-23 14:15:13 UTC
Description:
If you modify a cell with text so that some (not all) is changed to strike through, then later, when you click that cell and press the strike through format button, either nothing happens (bug) or the entire cell is set to strike through (good) but press it again to remove and it resets to what you started with. (bug)

In other words, a cell containing a partial strike through, you can’t remove it by clicking in the cell and then using the strike through button.

If the entire text in a cell is set to strike through, it's fine, only when a portion is modified does the button not reset it.

If you do this with bold text instead, then the bold button works fine.

Steps to Reproduce:
1.Enter text into a cell
2.Highlight some (not all) with the mouse, click the strike through button
3.Now, click another cell, then go back and click the modified cell
4.click the strike through button  (should set the entire cell - sometimes not)
5.click the strike through button again, should set the entire cell to no strike through, but instead, you're back to original format.
6.try this same procedure using bold instead, works fine.

Actual Results:
Text returns to what was in the cell when clicked on (step 3)

Expected Results:
After two clicks of the format strike through button, the entire cell should have no strike through text 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.2.2 (x64)
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

I've used it since version 5.3.7, don't know if problem goes back farther or not.
Comment 1 mulla.tasanim 2019-03-27 20:25:54 UTC
Thank you for reporting the bug.

I can confirm that the bug is present in

I have tried the same steps using Bold its providing the expected result

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Buovjaga 2019-04-21 17:53:00 UTC
Repro already in 3.3.0. I noticed we can clear the strikethrough, if we enter cell edit mode and select all.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: b8f33d053c2cbf05872cf9ddfeff4cc302ee281f
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 20 April 2019
Comment 3 QA Administrators 2021-04-21 03:52:06 UTC
Dear Doug Arndt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug